var current = 1;
var gallery = [];
for (var i = 1; i <= 23; i++) {
    gallery.push("img" + i + ".jpg");
}
$(document).ready(function() {
    function closeGallery() {
        $(".thumb img").each(function() {
            $(this).on("click",
            function() {
                openGallery($(this));
            }).css("cursor", "pointer");
        });
        $(".wrapper").stop().animate({
            opacity: 1
        },
        {
            duration: 200,
            queue: false,
            timing: "swing"
        });
        $("#scene").css({
            opacity: 0,
            "z-index": "-10"
        });
        $(".content").off("click");
        $("#scene img").remove();
    }
	function next() {
		var newId = parseInt($("#scene img").attr("id"), 10) + 1;
        if (newId == 24) newId = 23;
        var thumb = $("#" + newId);
        var width, height;
        if (thumb.width() > thumb.height()) {
            width = 660;
            height = 495;
        } else {
            height = 660;
            width = 495;
        }
        if ($(window).width() * 0.8 < width) {
            height = height * ($(window).width() * 0.8) / width;
            width = $(window).width() * 0.8;
        }
        if ($(window).height() * 0.8 < height) {
            width = width * ($(window).height() * 0.8) / height;
            height = $(window).height() * 0.8;
        }
        $("#scene img").attr("src", "images/img" + (newId) + ".jpg");
        $("#scene img").attr("id", (newId));
        $("#scene").css({
            "z-index": "1000",
            width: width,
            height: height,
            "margin-left": "-" + width / 2 + "px",
            "margin-top": "-" + height / 2 + "px"
        });
		window.location.hash = "#"+newId;
	}
    function openGallery(element) {
        $(".thumb img").each(function() {
            $(this).off("click").css("cursor", "default");
        });
        var width, height;
        if (element.width() > element.height()) {
            width = 660;
            height = 495;
        } else {
            height = 660;
            width = 495;
        }
        if ($(window).width() * 0.8 < width) {
            height = height * ($(window).width() * 0.8) / width;
            width = $(window).width() * 0.8;
        }
        if ($(window).height() * 0.8 < height) {
            width = width * ($(window).height() * 0.8) / height;
            height = $(window).height() * 0.8;
        }
        var id = element.attr("id");
		window.location.hash = "#"+id;
        var src = element.attr("src").replace("thumbs", "images");
        $(".wrapper").stop().animate({
            opacity: 0.4
        },
        {
            duration: 300,
            queue: false,
            timing: "swing"
        });
        setTimeout(function() {
            $(".content").click(function() {
                closeGallery();
            });
        },
        500);
        $("#scene").append('<img class="next" id="' + id + '" src="' + src + '" alt="' + src + '" />');
        $("#previous").click(function() {
            var newId = parseInt($("#scene img").attr("id"), 10) - 1;
            if (newId === 0) newId = 1;
            var thumb = $("#" + newId);
            var width, height;
            if (thumb.width() > thumb.height()) {
                width = 660;
                height = 495;
            } else {
                height = 660;
                width = 495;
            }
            if ($(window).width() * 0.8 < width) {
                height = height * ($(window).width() * 0.8) / width;
                width = $(window).width() * 0.8;
            }
            if ($(window).height() * 0.8 < height) {
                width = width * ($(window).height() * 0.8) / height;
                height = $(window).height() * 0.8;
            }
            $("#scene img").attr("src", "images/img" + (newId) + ".jpg");
            $("#scene img").attr("id", (newId));
            $("#scene").css({
                "z-index": "1000",
                width: width,
                height: height,
                "margin-left": "-" + width / 2 + "px",
                "margin-top": "-" + height / 2 + "px"
            });
        });
		
        $("#scene .next").each(function() {
            $(this).click(function() {
                next();
            });
        });
        $("#scene").css({
            "z-index": "1000",
            width: width,
            height: height,
            "margin-left": "-" + width / 2 + "px",
            "margin-top": "-" + height / 2 + "px"
        }).animate({
            opacity: 1
        },
        {
            duration: 300,
            queue: false,
            timing: "swing"
        });
    }
    $.each(gallery,
    function(index, value) {
        $(".content").append('<div class="thumb"><img id="' + (index + 1) + '" src="thumbs/' + value + '" alt=' + value + ' /></div');
    });
    $(".thumb img").each(function() {
        $(this).css("opacity", "0.8");
        $(this).mouseenter(function() {
            $(this).stop().animate({
                opacity: 1
            },
            {
                queue: false,
                duration: 200,
                timing: "swing"
            });
        });
        $(this).mouseleave(function() {
            $(this).stop().animate({
                opacity: 0.8
            },
            {
                queue: false,
                duration: 200,
                timing: "swing"
            });
        });
        $(this).click(function() {
            openGallery($(this));
        });
    });
    $("#scene").css("opacity", "0");
    $(window).resize(function() {
        var width = $("#scene").width();
        var height = $("#scene").height();
        if ($(window).width() * 0.8 < width) {
            height = Math.floor(height * ($(window).width() * 0.8) / width);
            width = Math.floor($(window).width() * 0.8);
        }
        if ($(window).height() * 0.8 < height) {
            width = Math.floor(width * ($(window).height() * 0.8) / height);
            height = Math.floor($(window).height() * 0.8);
        }
        if ($(window).width() * 0.7 > width) {
            width = Math.floor(width * ($(window).height() * 0.8) / height);
            height = Math.floor($(window).height() * 0.8);
        }
        if ($(window).height() * 0.7 > height) {
            height = Math.floor(height * ($(window).width() * 0.8) / width);
            width = Math.floor($(window).width() * 0.8);
        }
        $("#scene").css({
            width: width,
            height: height,
            "margin-left": "-" + width / 2 + "px",
            "margin-top": "-" + height / 2 + "px"
        });
    });
	$("#close").click(function() {
		closeGallery();
	});
	$("h2").click(function() {
		openGallery($("#1"));
		setInterval(function() {
			next();
		}, 5000);
	});
});
